Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008725opensim[REGION] Specific OpenSim Modulepublic2020-07-08 17:262020-08-09 22:05
ReporterDatapanic 
Assigned Totampa 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOperating SystemOperating System Version
Product Version0.9.1.0 
Target VersionFixed in Versionmaster (dev code) 
Summary0008725: Terrain Effect ChannelDigger needs higher strength value to smooth terrain
DescriptionThe ChannelDigger.cs code needs a higher strength value in private void SmoothMap(ITerrainChannel map, int rounds). Currently, strength is set to 1.0f, which ends up being a very small amount and does not noticeably smooth the terrain like it did in 0.9.0.1. This is because the FloodBrush SmoothAreas.cs was overhauled and values for strength range from 0 to 1. Changing the strength to 110.0f smooths the terrain to about the same effect as the ChannelDigger.cs in 0.9.0.1 did. Patch attached.
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (Multiple Regions per Sim)
Physics EngineubODE
Script EngineXEngine
EnvironmentMono / Linux64
Mono Version6.x
Viewer
Attached Filespatch file icon ChannelDigger.cs.patch [^] (446 bytes) 2020-07-08 17:26 [Show Content]

- Relationships

-  Notes
(0036593)
UbitUmarov (administrator)
2020-07-10 12:15

change on master.
Thanks
(0036676)
tampa (reporter)
2020-08-09 22:05

Changed according to provided patch, re-open if further issues arise, resolving for now

- Issue History
Date Modified Username Field Change
2020-07-08 17:26 Datapanic New Issue
2020-07-08 17:26 Datapanic File Added: ChannelDigger.cs.patch
2020-07-10 12:15 UbitUmarov Note Added: 0036593
2020-08-09 22:05 tampa Mono Version 5.x => 6.x
2020-08-09 22:05 tampa Note Added: 0036676
2020-08-09 22:05 tampa Status new => resolved
2020-08-09 22:05 tampa Fixed in Version => master (dev code)
2020-08-09 22:05 tampa Resolution open => fixed
2020-08-09 22:05 tampa Assigned To => tampa


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker